Name:           verbiste
Version:        0.1.32
Release:        4%{?dist}
Summary:        French conjugation system

Group:          Applications/Text
License:        GPLv2+
URL:            http://sarrazip.com/dev/verbiste.html
Source:         http://perso.b2b2c.ca/sarrazip/dev/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libxml2-devel, desktop-file-utils, gettext, libgnomeui-devel
BuildRequires:  perl-XML-Parser


%description
This package contains a database of French conjugation templates
and a list of more than 7000 regular and irregular French verbs
with their corresponding template. It also comes with two command-line 
tools named french-conjugator and french-deconjugator.


%package devel
Summary:        C++ development files for the Verbiste library
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       libxml2-devel

%description devel
C++ development files for the Verbiste library.


%package gnome
Summary:        GNOME Panel applet for Verbiste
Group:          Applications/Text
Requires:       %{name} = %{version}-%{release}
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description gnome
GNOME Panel applet and application based on Verbiste.


%prep
%setup -q
# convert doc files to unicode
for DOCFILE in README NEWS HACKING LISEZMOI; do
    iconv -f ISO8859-15 -t UTF8 < $DOCFILE > $DOCFILE.tmp
    mv -f $DOCFILE.tmp $DOCFILE
done


%build
%configure \
    --with-gnome-app  \
    --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# This file gets created on x86_64 for no apparent reason.
# It's owned by glibc-common.
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/locale.alias
desktop-file-install \
  --delete-original                                     \
  --vendor fedora                                       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications         \
  --add-category X-Fedora                               \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%post gnome
update-desktop-database &> /dev/null ||:

%postun gnome
update-desktop-database &> /dev/null ||:


%files
%defattr(-,root,root,-)
%doc COPYING ABOUT-NLS AUTHORS HACKING NEWS README LISEZMOI
%{_libdir}/*so.*
%{_mandir}/man*/french-*
%{_mandir}/*/man*/french-*
%{_bindir}/french-*
%{_datadir}/verbiste*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%files gnome -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/verbiste
%{_mandir}/man*/verbiste.*
%{_mandir}/*/man*/verbiste.*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/texmf/tex/latex/verbiste


%changelog
* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.32-4
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1.32-2
- Rebuild for new libpng

* Mon Feb 28 2011 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.32-1
- Update to the latest release
- Build without gnome-panel (not compatible with gnome-3)
- Move manpage for gnome app into -gnome.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 06 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.26-1
- New version 0.1.26
- possible to save a conjugation in a LaTeX file
- verb additions

* Tue Mar 24 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.25-1
- New version 0.1.25
- New verbs and several conjugation fixes.
- Minor UI tweaks and programming cleanups.
- BR: perl-XML-Parser (during build).
- Remove empty THANKS from doc.

* Wed Mar 04 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.24-2
- Fix source URL.

* Wed Mar 04 2009 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.24-1
- New version 0.1.24
- About a hundred verbs have been added.
- Small usability fixes.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jun 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.23-1
- Upstream 0.1.23

* Sun Feb 17 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.22-1
- Upstream 0.1.22

* Fri Sep 14 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.21-1
- Upstream 0.1.21
- Adjust license to match expected standard
- Make sure docs are utf-8

* Sun Apr 01 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.20-1
- Upstream 0.1.20

* Fri Jan 12 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.19-1
- Upstream 0.1.19

* Sun Dec 17 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.17-1
- Upstream 0.1.17

* Tue Sep 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.16-2
- Do a better job packaging docs.

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.16-1
- Version 0.1.16

* Sun Jul 09 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.15-1.1
- Rebuild.

* Sun Jul 09 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.15-1
- Version 0.1.15

* Wed Jun 28 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.14-2
- BuildRequire gettext
- Run update-desktop-database in post/postun for -gnome

* Mon Feb 13 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.14-1.1
- FC5 Rebuild

* Mon Dec 12 2005 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.14-1
- Version 0.1.14
- Switch to RPM_BUILD_ROOT notation

* Thu Oct 13 2005 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.1.13-1
- Version 0.1.13.

* Fri Sep 23 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 0.1.12-1
- Version 0.1.12.
- Disttagging.

* Mon May 09 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 0.1.11-2
- Remove /usr/share/locale/locale.alias created on x86_64 on the
  buildsystem.

* Tue May 06 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 0.1.11-1
- Version 0.1.11.

* Tue Apr 12 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 0.1.10-3
- Modify the description to be more descriptive of what the main
  package does.

* Tue Apr 12 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 0.1.10-3
- Require version-release instead of just version for -devel and -gnome.
- Require gnome-panel-devel instead of libgnomeui-devel

* Tue Apr 12 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 0.1.10-2
- Use find_lang.
- Require libxml2-devel in -devel.

* Tue Apr 12 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 0.1.10-1
- Adapt the specfile to conform to the Fedora Extras standard.
- Create the changelog section.
